API referenceWhatsApp
GET /whatsapp/accounts/{id}/templates
Message templates of the account's WABA
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringWhatsApp account id
status?stringAPPROVED, PENDING, REJECTED, PAUSED, DISABLED, ...
name?stringName contains
category?stringOnly this category
Value in
"MARKETING""UTILITY""AUTHENTICATION"language?stringe.g. en_US
limit?integerMaximum items (default 25, max 100)
Range
1 <= value <= 100Default
25after?stringnext of the previous page
{accountId, wabaId, templates, next}
application/json- response
accountId?stringwabaId?string|nulltemplates?array<>next?|Pass as after
curl -X GET 'https://example.com/api/v1/whatsapp/accounts/string/templates'Example Response
{ "accountId": "string", "wabaId": "string", "templates": [ { "id": "string", "name": "string", "language": "string", "category": "MARKETING", "status": "string", "components": [ {} ], "qualityScore": null, "rejectedReason": "string", "parameterFormat": "POSITIONAL" } ], "next": "string"}POST /whatsapp/accounts/{id}/messages/{messageId}/read POST
Mark an inbound message (and the earlier ones) read on WhatsApp; typing also shows the typing indicator (25 seconds or until the next message)
POST /whatsapp/accounts/{id}/templates POST
Submit a template for review (status PENDING; template.status reports the decision)